---
name: Kevin Webster
occupation: Developer / Architect
location: Portland, Oregon
pronoun: http://mypronouns.org/he
io:
  email: kevin@kevinwebster.me
  github: https://github.com/rabidpraxis
  twitter: https://twitter.com/rabidpraxis
  linkedin: https://www.linkedin.com/in/kevinwebsterpdx/
description: Portland based Developer / Architect focused on building interesting
  and dynamic products
tldr:
- theme: experience
  message: Creates products ranging from high performance server systems to fully
    customized front end web applications.
- theme: interaction-design
  message: Builds everything with an eye for user interaction. Can give constructive,
    well thought out user experience feedback.
- theme: education
  message: Never stops learning, loves sharing knowledge, and cares about bringing
    up the next school of developers.
- theme: craftsmanship
  message: Constantly weighs code/architecture/design tradeoffs when making decisions.
projects:
- name: Will my carry on fit?
  url: http://willmycarryonfit.com
  description: Display carry on luggage fit for all airlines
  technical: Front end built exclusively using Clojurescript. Data scraped, collected
    and aggregated using Clojure and Datomic. Entire application designed to run without
    a server, with all content served via Amazon S3
- name: Clichanked!
  description: Crawls your blog posts and determines a "clichanked" score. The score
    reflects how many cliches you use in your writing.
  technical: Built in Clojure, created for a Clojure Cup competition. No longer active.
- name: metacosm
  url: http://motionographer.com/2008/04/07/kevin-webster-metacosm/
  description: Generative art installation. See samples <a href="https://vimeo.com/album/49902">here</a>
  technical: Fully generative art project utilizing scripting (Python & Mel) in Maya
opensource:
- name: ctrlrm/Show
  url: https://github.com/controlroom/show
  description: Simple react.js wrapper
  languages:
  - CLJS
  - CLJ
- name: ctrlrm/Wire
  url: https://github.com/controlroom/wire
  description: Component communication abstraction
  languages:
  - CLJ
  - CLJS
- name: ctrlrm/Awl
  url: https://github.com/controlroom/awl
  description: core.async sequential processing helper
  languages:
  - CLJ
- name: ctrlrm/iris
  url: https://github.com/controlroom/iris
  languages:
  - JS
  description: Proof of concept in advanced component state management
- name: ctrlrm/lincoln
  url: https://github.com/controlroom/lincoln
  languages:
  - GO
  description: Microservice coordinator. Allows for declaring (micro)service dependencies
    within project source code.
capabilities:
- name: Clojure
  preferred: true
  proficiency: 9
  years: 5
- name: Ruby
  proficiency: 9
  years: 7
- name: Rails
  proficiency: 8
  years: 7
- name: Node.js
  proficiency: 8
  years: 3
- name: Go
  proficiency: 5
  years: 2
- name: Elixir
  proficiency: 4
  years: 2
- name: Elm
  proficiency: 4
  years: 1
- name: Python
  proficiency: 4
  years: 3
- name: Swift/iOS
  proficiency: 3
  years: 1
- name: Java
  proficiency: 2
  years: 1
- name: Redis
  proficiency: 7
  years: 4
- name: SQL (PG)
  proficiency: 6
  years: 5
- name: Datomic
  proficiency: 5
  years: 2
- name: ElasticSearch
  proficiency: 4
  years: 1
- name: Splunk
  proficiency: 5
  years: 3
- name: Devops
  proficiency: 5
  years: 2
- name: Linux
  preferred: true
  proficiency: 7
  years: 7
- name: TDD
  preferred: true
  proficiency: 6
  years: 5

